Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form
Class DateField

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.gwtext.client.widgets.Component
                  com.gwtext.client.widgets.BoxComponent
                      com.gwtext.client.widgets.form.Field
                          com.gwtext.client.widgets.form.TextField
                              com.gwtext.client.widgets.form.DateField

All Implemented Interfaces:
  com.google.gwt.user.client.EventListener, Observable

    public class DateField

extends TextField

Provides a date input field with `DatePicker` dropdown and automatic date validation.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.gwtext.client.widgets.Component
`config, id`

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`DateField()` Construct a new DateField.
`DateField(com.google.gwt.core.client.JavaScriptObject jsObj)`
`DateField(java.lang.String label, java.lang.String format)` Construct a new DateField.
`DateField(java.lang.String fieldLabel, java.lang.String name, int width)` Construct a new DateField.

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject jsObj)`
`protected com.google.gwt.user.client.Element` | `getElement(com.google.gwt.core.client.JavaScriptObject jsObj)`
`java.util.Date` | `getValue()` Returns the current date value of the date field.
`java.lang.String` | `getXType()` Gets the xtype for this component as registered with ComponentMgr.
`void` | `setAltFormats(java.lang.String altFormats)`
`void` | `setDisabledDates(java.lang.String[] disabledDates)`
`void` | `setDisabledDatesText(java.lang.String disabledDatesText)`
`void` | `setDisabledDays(int[] disabledDays)`
`void` | `setDisabledDaysText(java.lang.String disabledDaysText)`
`void` | `setFormat(java.lang.String format)`
`void` | `setInvalidText(java.lang.String invalidText)` The error text to use when marking a field invalid and no message is provided (defaults to "The value in this field is invalid").
`void` | `setMaxText(java.lang.String maxText)`
`void` | `setMaxValue(java.util.Date maxValue)`
`void` | `setMaxValue(java.lang.String maxValue)`
`void` | `setMinText(java.lang.String minText)`
`void` | `setMinValue(java.util.Date minValue)`
`void` | `setMinValue(java.lang.String minValue)`
`void` | `setValue(java.util.Date date)` Sets the value of the date field.

Methods inherited from class com.gwtext.client.widgets.form.TextField
`addKeyListener, addKeyListener, addKeyListener, addKeyPressListener, addKeyPressListener, addListener, autoSize, getConfigPrototype, getText, selectText, selectText, setAllowBlank, setBlankText, setDisableKeyFilter, setEmptyClass, setEmptyText, setGrow, setGrowMax, setGrowMin, setMaskRe, setMaxLength, setMaxLengthText, setMinLength, setMinLengthText, setPassword, setRegex, setRegexText, setSelectOnFocus, setValidator, setVtype, setVtypeText, validateValue`

Methods inherited from class com.gwtext.client.widgets.form.Field
`addListener, applyTo, applyTo, clearInvalid, getClearCls, getCls, getFieldLabel, getFocusClass, getInputType, getInvalidClass, getInvalidText, getLabelSeparator, getLabelStyle, getName, getRawValue, getTabindex, getValidationDelay, getValueAsString, hide, isAutoCreate, isDirty, isHideLabel, isReadOnly, isValid, isValid, isValidateOnBlur, markInvalid, reset, setAutoCreate, setAutoCreate, setClearCls, setCls, setDisabled, setFieldClass, setFieldLabel, setFieldMsgTarget, setFocusClass, setHideLabel, setInputType, setInvalidClass, setLabel, setLabelSeparator, setLabelStyle, setMsgFx, setMsgTarget, setName, setRawValue, setReadOnly, setTabIndex, setValidateOnBlur, setValidationDelay, setValidationEvent, setValidationEvent, setValue, show, validate`

Methods inherited from class com.gwtext.client.widgets.BoxComponent
`addListener, doOnRender, doOnRender, getAutoHeight, getAutoWidth, getBox, getBox, getHeight, getPosition, getPosition, getSize, getWidth, setAutoHeight, setAutoWidth, setHeight, setHeight, setPagePosition, setPosition, setSize, setSize, setWidth, setWidth, syncSize, updateBox`

Methods inherited from class com.gwtext.client.widgets.Component
`addClass, addClassCreated, addEvent, addEvents, addListener, addListener, addListener, addPlugin, addStyleDependentName, addStyleName, afterRender, beforeDestroy, check, checkExtVer, cloneComponent, cloneComponent, cloneConfig, destroy, disable, enable, equals, error, findParentBy, findParentByType, fireEvent, focus, focus, focus, getApplyTo, getAttribute, getAttributeAsBoolean, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAutoShow, getComponentJS, getConfig, getConfigAsString, getCtCls, getDisabledClass, getEl, getElement, getElement, getHideMode, getHideParent, getId, getItemId, getJsObj, getOffsetHeight, getOffsetWidth, getOrCreateJsObj, getOwnerContainer, getRenderTo, getStateEvents, getStateId, getTitle, getXTypes, hashCode, initComponent, isCreated, isDisabled, isHidden, isRendered, isVisible, isXType, isXType, onDestroy, purgeListeners, removeClass, removeStyleDependentName, removeStyleName, render, render, render, render, render, render, resumeEvents, setApplyTo, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoEl, setAutoEl, setAutoShow, setCtCls, setDisabledClass, setEl, setEl, setElement, setHideMode, setHideParent, setId, setRenderTo, setRenderToID, setStateEvents, setStateId, setStyle, setStyle, setStyleName, setStylePrimaryName, setTitle, setVisible, suspendEvents, toString`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`doAttachChildren, doDetachChildren, getParent, isAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, setElement, setPixelSize, setStyleName, setStyleName, setStylePrimaryName, setVisible, sinkEvents, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DateField

    public DateField()

  Construct a new DateField.

### DateField

    public DateField(java.lang.String fieldLabel,
                     java.lang.String name,
                     int width)

  Construct a new DateField.

  Parameters:
    `fieldLabel` - the field label
    `name` - the field name
    `width` - the field width

### DateField

    public DateField(java.lang.String label,
                     java.lang.String format)

  Construct a new DateField.

  Parameters:
    `label` - the field label value
    `format` - the date format value

### DateField

    public DateField(com.google.gwt.core.client.JavaScriptObject jsObj)

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject jsObj)

  Overrides:
    `create` in class `TextField`

### getValue

    public java.util.Date getValue()

  Returns the current date value of the date field.

  Returns:
    the date value

### getElement

    protected com.google.gwt.user.client.Element getElement(com.google.gwt.core.client.JavaScriptObject jsObj)

  Overrides:
    `getElement` in class `Component`

### setValue

    public void setValue(java.util.Date date)

  Sets the value of the date field.

  Parameters:
    `date` - the date value

### getXType

    public java.lang.String getXType()

  Description copied from class: `Component`
  Gets the xtype for this component as registered with ComponentMgr. For a list of all available xtypes, see the Component javadocs.

       TextField field = new TextField();
       field.getXType() returns "textfield"

  Overrides:
    `getXType` in class `TextField`
  Returns:
    the xtype

### setAltFormats

    public void setAltFormats(java.lang.String altFormats)

### setDisabledDates

    public void setDisabledDates(java.lang.String[] disabledDates)

### setDisabledDatesText

    public void setDisabledDatesText(java.lang.String disabledDatesText)

### setDisabledDays

    public void setDisabledDays(int[] disabledDays)

### setDisabledDaysText

    public void setDisabledDaysText(java.lang.String disabledDaysText)

### setFormat

    public void setFormat(java.lang.String format)

### setInvalidText

    public void setInvalidText(java.lang.String invalidText)

  Description copied from class: `Field`
  The error text to use when marking a field invalid and no message is provided (defaults to "The value in this field is invalid"). This error message is displayed when the used specified validator returns false.

  Overrides:
    `setInvalidText` in class `Field`
  Parameters:
    `invalidText` - invalid text on error
  See Also:
    `TextField.setValidator(Validator)`

### setMinValue

    public void setMinValue(java.lang.String minValue)
                     throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### setMinValue

    public void setMinValue(java.util.Date minValue)
                     throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### setMinText

    public void setMinText(java.lang.String minText)

### setMaxValue

    public void setMaxValue(java.lang.String maxValue)
                     throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### setMaxValue

    public void setMaxValue(java.util.Date maxValue)
                     throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### setMaxText

    public void setMaxText(java.lang.String maxText)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD